Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterTask.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.RegisterTask.Builder

Enclosing class:
  `RegisterTask`

public static class RegisterTask.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterTask`
  `build()`
  `RegisterTask.Builder`
  `setAcceptTime(Date acceptTime)`
  `RegisterTask.Builder`
  `setAcceptUserId(int acceptUserId)`
  `RegisterTask.Builder`
  `setAddressObjectId(int addressObjectId)`
  `RegisterTask.Builder`
  `setAddressParamId(int addressParamId)`
  `RegisterTask.Builder`
  `setCloseTime(Date closeTime)`
  `RegisterTask.Builder`
  `setCloseUserId(int closeUserId)`
  `RegisterTask.Builder`
  `setComment(String comment)`
  `RegisterTask.Builder`
  `setContractId(int contractId)`
  `RegisterTask.Builder`
  `setExecuteDate(Date executeDate)`
  `RegisterTask.Builder`
  `setGroupId(int groupId)`
  `RegisterTask.Builder`
  `setId(int id)`
  `RegisterTask.Builder`
  `setLastmodTime(Date lastmodTime)`
  `RegisterTask.Builder`
  `setLastmodUserId(int lastmodUserId)`
  `RegisterTask.Builder`
  `setOpenTime(Date openTime)`
  `RegisterTask.Builder`
  `setOpenUserId(int openUserId)`
  `RegisterTask.Builder`
  `setProblemId(int problemId)`
  `RegisterTask.Builder`
  `setProcessed(boolean processed)`
  `RegisterTask.Builder`
  `setResolution(String resolution)`
  `RegisterTask.Builder`
  `setStatus(int status)`
  `RegisterTask.Builder`
  `setTargetDate(Date targetDate)`
  `RegisterTask.Builder`
  `setTypeId(int typeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public RegisterTask.Builder setId(int id)

  - ### setLastmodTime

    public RegisterTask.Builder setLastmodTime(Date lastmodTime)

  - ### setLastmodUserId

    public RegisterTask.Builder setLastmodUserId(int lastmodUserId)

  - ### setStatus

    public RegisterTask.Builder setStatus(int status)

  - ### setTypeId

    public RegisterTask.Builder setTypeId(int typeId)

  - ### setContractId

    public RegisterTask.Builder setContractId(int contractId)

  - ### setAddressParamId

    public RegisterTask.Builder setAddressParamId(int addressParamId)

  - ### setAddressObjectId

    public RegisterTask.Builder setAddressObjectId(int addressObjectId)

  - ### setOpenTime

    public RegisterTask.Builder setOpenTime(Date openTime)

  - ### setOpenUserId

    public RegisterTask.Builder setOpenUserId(int openUserId)

  - ### setAcceptTime

    public RegisterTask.Builder setAcceptTime(Date acceptTime)

  - ### setAcceptUserId

    public RegisterTask.Builder setAcceptUserId(int acceptUserId)

  - ### setCloseTime

    public RegisterTask.Builder setCloseTime(Date closeTime)

  - ### setCloseUserId

    public RegisterTask.Builder setCloseUserId(int closeUserId)

  - ### setProcessed

    public RegisterTask.Builder setProcessed(boolean processed)

  - ### setGroupId

    public RegisterTask.Builder setGroupId(int groupId)

  - ### setTargetDate

    public RegisterTask.Builder setTargetDate(Date targetDate)

  - ### setComment

    public RegisterTask.Builder setComment(String comment)

  - ### setResolution

    public RegisterTask.Builder setResolution(String resolution)

  - ### setProblemId

    public RegisterTask.Builder setProblemId(int problemId)

  - ### setExecuteDate

    public RegisterTask.Builder setExecuteDate(Date executeDate)

  - ### build

    public RegisterTask build()